package com.zjrs.zwnw.rlzysc.dto;

import com.zjrs.zwnw.portal.dto.common.PageDTO;

import jakarta.validation.constraints.NotBlank;

public class YgbaYgxxQueryDTO extends PageDTO implements java.io.Serializable {
        private static final long serialVersionUID = 1L;
        @NotBlank(message = "企业信息流水号不能为空")
        private String rsrlzyygbadwlsh;
        private String xm;   // 姓名
        private String zjlx;   // 证件类型
        private String zjhm;   // 证件号码
        private String ygfs;   // 用工方式
        private String rzsjStart;   // 入职时间从
        private String rzsjEnd;   // 入职时间到
        private String ryzt;   // 人员状态
        private String tjzt;   // 提交状态
        private String shzt;   // 审核状态
        private String bae005Start;   // 最近修改时间从
        private String bae005End;   // 最近修改时间到
        private String sfqysb;   // 是否企业上报

        public String getRsrlzyygbadwlsh() {
                return rsrlzyygbadwlsh;
        }

        public void setRsrlzyygbadwlsh(String rsrlzyygbadwlsh) {
                this.rsrlzyygbadwlsh = rsrlzyygbadwlsh;
        }

        public String getXm() {
                return xm;
        }

        public void setXm(String xm) {
                this.xm = xm;
        }

        public String getZjlx() {
                return zjlx;
        }

        public void setZjlx(String zjlx) {
                this.zjlx = zjlx;
        }

        public String getZjhm() {
                return zjhm;
        }

        public void setZjhm(String zjhm) {
                this.zjhm = zjhm;
        }

        public String getYgfs() {
                return ygfs;
        }

        public void setYgfs(String ygfs) {
                this.ygfs = ygfs;
        }



        public String getRyzt() {
                return ryzt;
        }

        public void setRyzt(String ryzt) {
                this.ryzt = ryzt;
        }

        public String getTjzt() {
                return tjzt;
        }

        public void setTjzt(String tjzt) {
                this.tjzt = tjzt;
        }

        public String getShzt() {
                return shzt;
        }

        public void setShzt(String shzt) {
                this.shzt = shzt;
        }

        public String getRzsjStart() {
                return rzsjStart;
        }

        public void setRzsjStart(String rzsjStart) {
                this.rzsjStart = rzsjStart;
        }

        public String getRzsjEnd() {
                return rzsjEnd;
        }

        public void setRzsjEnd(String rzsjEnd) {
                this.rzsjEnd = rzsjEnd;
        }

        public String getBae005Start() {
                return bae005Start;
        }

        public void setBae005Start(String bae005Start) {
                this.bae005Start = bae005Start;
        }

        public String getBae005End() {
                return bae005End;
        }

        public void setBae005End(String bae005End) {
                this.bae005End = bae005End;
        }

        public String getSfqysb() {
                return sfqysb;
        }

        public void setSfqysb(String sfqysb) {
                this.sfqysb = sfqysb;
        }
}
